<template>
	<div>
		<div class="n-media">
			<v-card class="n-media-card">
				<v-responsive :aspect-ratio="16/9" class="n-media-box">
					<input
						v-if="media.url == ''"
						class="mediaUpload"
						ref="mediaUpload"
						type="file"
						name="file"
						@change="onFilePicked"
						v-validate="'required|ext:jpeg,jpg,gif,png,mpg,mpeg,mp4,mov,avi|size:51200'"
					>
					<input
						v-else
						class="mediaUpload"
						ref="mediaUpload"
						type="file"
						name="file"
						@change="onFilePicked"
					>
					<div v-show="paused && media.file && videoState > 1 && media.type == 'video'" @click="play" class="n-play-btn"></div>
					<div v-show="!paused && media.file && videoState > 1 && media.type == 'video'" @click="pause" class="n-pause-btn"></div>
					<v-card class="n-file-box">
						<v-card-text class="n-file-desc">Add your file here</v-card-text>
						<v-btn class="mx-2 n-choose-file" fab dark>
							<v-icon dark>add</v-icon>
						</v-btn>
					</v-card>

					<div class="n-player" v-if="media.type === 'image'">
						<v-card class="n-media-view" v-if="media.url">
							<img :src="media.url"/>
						</v-card>
					</div>
					<div class="n-player" v-if="media.type === 'video'">
						<v-card class="n-media-view" v-if="media.url">
							<v-responsive :aspect-ratio="16/9" class="n-media-box">
								<video @canplay="updatePaused" @playing="updatePaused" @pause="updatePaused" ref="video">
									<source :src="media.url" type="video/mp4">
									Your browser does not support HTML5 video.
								</video>
							</v-responsive>
						</v-card>
					</div>
				</v-responsive>
			</v-card>
		</div>
		<div class="n-media-info">
			<v-progress-linear v-if="videoState == 1" :indeterminate="true"></v-progress-linear>
			<v-layout v-if="media.file" row wrap>
				<v-flex xs12>
					<v-card>
						<v-card-actions>
							<v-list-tile class="grow">
								<v-list-tile-content>
									<v-list-tile-title>{{media.name}}</v-list-tile-title>
								</v-list-tile-content>
								<v-layout
									align-center
									justify-end
								>
									<v-icon class="n-btn n-btn-upload mr-1" @click="onHandlePickMedia">
										edit
									</v-icon>
									<v-icon class="n-btn n-btn-delete mr-1"
											@click="onConfirmDeleteMedia(media.name,$event)">delete
									</v-icon>
								</v-layout>
							</v-list-tile>
						</v-card-actions>
					</v-card>
				</v-flex>
				<v-flex xs6>

				</v-flex>
			</v-layout>
			<span v-show="errors.has('file')" class="red--text">
							{{ errors.first('file') }}
						</span>
			<v-card-text class="n-file-info">
				<p class="text-xs-center">Required formats: .jpeg, .jpg, .gif, .png, .mpg, .mpeg, .mp4, .mov,
					.avi</p>
				<v-layout wrap>
					<v-flex class="mdc-text-right mdc-m--top-15 mdc-p--top-15">
						<v-btn round color="default" @click="$emit('cancel')">Cancel</v-btn>
						<v-btn
							round
							color="primary"
							@click="nextStep"
						>
							Save
						</v-btn>
					</v-flex>
				</v-layout>
			</v-card-text>
		</div>
		<div class="text-xs-center">
			<v-dialog
				v-model="isConfirmAction"
				max-width="400"
			>
				<v-card class="n-dialog">

					<v-card-text class="n-dialog-content" v-html="dialogMessage">
					</v-card-text>

					<v-card-actions>
						<div class="n-dialog-actions">
							<a
								class="n-btn n-btn-yes"
								@click="onDoAction(action)"
							>
								Yes
							</a>
							<a
								class="n-btn n-btn-no"
								@click="onNoAction()"
							>
								No
							</a>
						</div>
					</v-card-actions>
				</v-card>
			</v-dialog>
		</div>
	</div>
</template>
<script src="./Media.js"></script>
